import base64

class Base64_utilsPlugin:
    def encode(self, text):
        """Codifica un texto en Base64."""
        try:
            encoded = base64.b64encode(text.encode()).decode()
            return f" **Base64 Enc:** {encoded}"
        except Exception as e:
            return f" Error al codificar: {str(e)}"

    def decode(self, text):
        """Decodifica un texto en Base64."""
        try:
            decoded = base64.b64decode(text).decode()
            return f" **Base64 Dec:** {decoded}"
        except Exception as e:
            return f" Error al decodificar: {str(e)}"

    def run(self, sender, *args):
        """Función principal que será ejecutada por el bot."""
        if len(args) < 2:
            return " Uso: `.base64_utils encode|decode <texto>`"

        mode, text = args[0], " ".join(args[1:])  # Unir en caso de que haya espacios en el texto

        if mode == "encode":
            return self.encode(text)
        elif mode == "decode":
            return self.decode(text)
        else:
            return " Modo inválido. Usa `.base64_utils encode <texto>` o `.base64_utils decode <texto>`."

    def help(self):
        """Descripción del plugin para el comando .help"""
        return " Uso: `.base64_utils encode|decode <texto>` - Codifica o decodifica en Base64."

