# plugins/whois.py

import whois

class WhoisPlugin:
    def run(self, sender, *args):
        """Consulta información WHOIS de un dominio."""
        if not args:
            return "Uso: .whois <dominio> - Ejemplo: .whois google.com"
        domain = args[0]
        try:
            w = whois.whois(domain)
            info = f" **WHOIS de {domain}**\n"
            info += f" Registrante: {w.name or 'Desconocido'}\n"
            info += f" Email: {w.emails or 'Desconocido'}\n"
            info += f" Servidores DNS: {', '.join(w.nameservers) if w.nameservers else 'No disponibles'}\n"
            info += f" Expira el: {w.expiration_date}\n"
            return info
        except Exception as e:
            return f" Error obteniendo WHOIS: {str(e)}"

    def help(self):
        return "Uso: .whois <dominio> - Obtiene información WHOIS de un dominio."

